# Class MappingData

java.lang.Object
org.apache.catalina.mapper.MappingData

public class MappingData extends Object
Mapping data.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Context`
  `context`
  `Context[]`
  `contexts`
  `int`
  `contextSlashCount`
  `Host`
  `host`
  `boolean`
  `jspWildCard`
  `MappingMatch`
  `matchType`
  `final MessageBytes`
  `pathInfo`
  `final MessageBytes`
  `redirectPath`
  `final MessageBytes`
  `requestPath`
  `Wrapper`
  `wrapper`
  `final MessageBytes`
  `wrapperPath`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MappingData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `recycle()`
  `final String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### host

    public Host host

  - ### context

    public Context context

  - ### contextSlashCount

    public int contextSlashCount

  - ### contexts

    public Context[] contexts

  - ### wrapper

    public Wrapper wrapper

  - ### jspWildCard

    public boolean jspWildCard

  - ### requestPath

    public final MessageBytes requestPath

  - ### wrapperPath

    public final MessageBytes wrapperPath

  - ### pathInfo

    public final MessageBytes pathInfo

  - ### redirectPath

    public final MessageBytes redirectPath

  - ### matchType

    public MappingMatch matchType

- ## Constructor Details

  - ### MappingData

    public MappingData()

- ## Method Details

  - ### recycle

    public void recycle()

  - ### toString

    public final String toString()
    Overrides:
      `toString` in class `Object`